You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@buildstream.apache.org by ju...@apache.org on 2022/07/15 14:45:03 UTC

[buildstream] branch juerg/ci-userchroot updated (4de4385bb -> 289e76b0f)

This is an automated email from the ASF dual-hosted git repository.

juergbi pushed a change to branch juerg/ci-userchroot
in repository https://gitbox.apache.org/repos/asf/buildstream.git


    from 4de4385bb wip
     new 60a5577c5 fixup
     new f47efaeae TEMP: -x
     new 289e76b0f debug

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 .github/run-userchroot-test.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)


[buildstream] 02/03: TEMP: -x

Posted by ju...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

juergbi pushed a commit to branch juerg/ci-userchroot
in repository https://gitbox.apache.org/repos/asf/buildstream.git

commit f47efaeae255402c0f6c0ea6a2530262354bdfe6
Author: Jürg Billeter <j...@bitron.ch>
AuthorDate: Fri Jul 15 16:42:14 2022 +0200

    TEMP: -x
---
 .github/run-userchroot-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.github/run-userchroot-test.sh b/.github/run-userchroot-test.sh
index c6101e489..fdcc3bcd4 100755
--- a/.github/run-userchroot-test.sh
+++ b/.github/run-userchroot-test.sh
@@ -21,4 +21,4 @@ echo buildbox-casd:${BST_CAS_STAGING_ROOT} > /etc/userchroot.conf
 
 # Run as regular user after setting up the environment.
 # Use umask as created files must be writable by the group (i.e. both bst and buildbox-casd)
-su testuser -c "umask 002 && tox -vvvvv -- --color=yes --integration"
+su testuser -c "umask 002 && tox -vvvvv -- --color=yes --integration -x"


[buildstream] 03/03: debug

Posted by ju...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

juergbi pushed a commit to branch juerg/ci-userchroot
in repository https://gitbox.apache.org/repos/asf/buildstream.git

commit 289e76b0f9dbbcd79b71adb8d0c8c103211d4d7b
Author: Jürg Billeter <j...@bitron.ch>
AuthorDate: Fri Jul 15 16:44:54 2022 +0200

    debug
---
 .github/run-userchroot-test.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/.github/run-userchroot-test.sh b/.github/run-userchroot-test.sh
index fdcc3bcd4..fcdbb5a17 100755
--- a/.github/run-userchroot-test.sh
+++ b/.github/run-userchroot-test.sh
@@ -22,3 +22,7 @@ echo buildbox-casd:${BST_CAS_STAGING_ROOT} > /etc/userchroot.conf
 # Run as regular user after setting up the environment.
 # Use umask as created files must be writable by the group (i.e. both bst and buildbox-casd)
 su testuser -c "umask 002 && tox -vvvvv -- --color=yes --integration -x"
+
+cat .tox/py310-nocover/tmp/*/cache/logs/_casd/*
+
+exit 1


[buildstream] 01/03: fixup

Posted by ju...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

juergbi pushed a commit to branch juerg/ci-userchroot
in repository https://gitbox.apache.org/repos/asf/buildstream.git

commit 60a5577c5c5c33c972abd8e7f0b93926bac580ee
Author: Jürg Billeter <j...@bitron.ch>
AuthorDate: Fri Jul 15 16:42:08 2022 +0200

    fixup
---
 .github/run-userchroot-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.github/run-userchroot-test.sh b/.github/run-userchroot-test.sh
index 867b61d11..c6101e489 100755
--- a/.github/run-userchroot-test.sh
+++ b/.github/run-userchroot-test.sh
@@ -17,7 +17,7 @@ mkdir -p "${BST_CAS_STAGING_ROOT}"
 chown -R buildbox-casd:testuser "${BST_CAS_STAGING_ROOT}"
 # userchroot doesn't allow group/world-writable base directory
 chmod go-w /builds
-echo buildbox-casd:${BST_CAS_STAGING_ROOT} | tee /etc/userchroot.conf
+echo buildbox-casd:${BST_CAS_STAGING_ROOT} > /etc/userchroot.conf
 
 # Run as regular user after setting up the environment.
 # Use umask as created files must be writable by the group (i.e. both bst and buildbox-casd)